<?php if (Session::get("tipo_usuario") != "1"){ show_403();} ?>
<?php if ($_SERVER["REQUEST_METHOD"] != "POST"){ show_403();} ?>
<?php import_file(DIR_TEMPLATES."header.php", ["title" => "Editar Página", "active_page" => "paginas"]); ?>
<?php import_file(DIR_MODELS."Model.class.php"); ?>

<?php 

	$id_pagina = encrypt_decode(filter_input(INPUT_POST, "id_pagina", FILTER_SANITIZE_STRING));

	$model = new Model();

	$result = $model->query("
		SELECT * FROM pagina 
		WHERE 
			id_pagina = :id 
	", [
		":id" => $id_pagina
	]);

	$dados = $result->fetch();

?>

<h4 class="mb-3">
	<i class="fa-regular fa-edit"></i> Editar Página
</h4>

<div class="content-box">
	<form id="form-pagina">
		<div class="form-row">
			<div class="col-md-6">
				<div class="form-group">
					<label for="titulo-pagina">Título<span class="text-danger">*</span></label>
					<input type="text" name="titulo_pagina" id="titulo-pagina" class="form-control" value="<?php echo $dados->titulo_pagina; ?>" required>
				</div>
			</div>
			<div class="col-md-6">
				<div class="form-group">
					<label for="local-pagina">Local (Menu)<span class="text-danger">*</span></label>
					<select name="local_pagina" id="local-pagina" class="form-control" required>
						<option value="">Selecione um...</option>
						<option value="Menu Superior">Menu Superior</option>
						<option value="Menu Inferior">Menu Inferior</option>
					</select>
					<script>
						$(function(){
							$("#local-pagina").val("<?php echo $dados->local_pagina; ?>");
						});
					</script>
				</div>
			</div>
		</div>

		<div class="form-group">
			<label for="conteudo-pagina">Conteúdo da Página<span class="text-danger">*</span></label>
			<textarea name="conteudo_pagina" id="conteudo-pagina" rows="6" class="form-control"><?php echo $dados->conteudo_pagina; ?></textarea>
		</div>
		
		<input type="hidden" name="id_pagina" class="d-none" value="<?php echo encrypt_encode($id_pagina); ?>">

		<button type="submit" class="btn btn-primary">
			<i class="fa-regular fa-save"></i> Salvar
		</button>

		<a href="<?php echo show_link("/paginas/"); ?>" class="btn btn-secondary">
			<i class="fa-regular fa-arrow-left"></i> Voltar
		</a>
	</form>
</div>

<script>
	window.conteudo_pagina = CKEDITOR.replace("conteudo-pagina");

	$("#form-pagina").submit(function(event){
		event.preventDefault();
		var form = $(this);
		$.ajax({
			type: "POST",
			data: {
				titulo_pagina: $("#titulo-pagina").val(),
				local_pagina: $("#local-pagina").val(),
				conteudo_pagina: window.conteudo_pagina.getData(),
				id_pagina: "<?php echo encrypt_encode($id_pagina); ?>"
			},
			url: "<?php echo show_link("/editar-pagina/"); ?>",
			async: true
		}).then(function(response){
			var result = $.parseJSON(response);
			if (result.status == true) {
				$.toast({
					heading: "Aviso",
					text: "Dados Atualizado com Sucesso!",
					icon: "success",
					loader: true
				});
			}
			else if (result.status == false && result.motivo == "titulo") {
				$("#titulo-pagina").addClass("is-warning");
				$.toast({
					heading: "Aviso",
					text: "Um tópico com esse título já foi cadastrado no sistema!",
					icon: "warning",
					loader: true
				});
				$("#titulo-pagina").keyup(function(){
					$(this).removeClass("is-warning");
					$(this).off("keyup");
				});
			}
			else if (result.status == false && result.motivo == "campos") {
				$.toast({
					heading: "Aviso",
					text: "Preencha todos os campos obrigatórios!",
					icon: "warning",
					loader: true
				});
			}
			else{
				$.toast({
					heading: "Aviso",
					text: "Erro ao Realizar a Edição!",
					icon: "error",
					loader: true
				});
			}
		}, function(error){
			console.log("Erro: "+error);
		});
	});
</script>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>